#############################################################################
## COPYRIGHT (C):    1994 Cay S. Horstmann. All Rights Reserved.
## PROJECT:          ChiLib
## FILE:             chilib.mak
## PURPOSE:          make file for ChiLib
## VERSION           1.0
## LANGUAGE:         Borland Make 3.6/3.7
## TARGET:           IBM PC
## PROGRAMMERS:      Cay S. Horstmann (CSH)
## START DATE:       7/27/94
## UPDATE HISTORY:
##
#############################################################################

# set MODEL to large (l) or small (s)

!ifndef MODEL
MODEL=l
!endif

# define NODEBUG to suppress debug info in the library

!ifndef NODEBUG
DEBUG=-v
!endif

CFLAGS=$(DEBUG) -m$(MODEL) -DCHI_ANY

CC=bcc -c -P $(CFLAGS)

SRCS=\
     chiargs.cpp\
     chiarray.cpp\
     chidate.cpp\
     chierror.cpp\
     chilist.cpp\
     chimap.cpp\
     chiprioq.cpp\
     chiqueue.cpp\
     chishape.cpp\
     chistrng.cpp

OBJS=$(SRCS:.cpp=.obj)

.cpp.obj:
     $(CC) {$. }

.cpp.h:
     mdgenc $. -l

all: include chilib$(MODEL).lib chilibw$(MODEL).lib chilibb$(MODEL).lib

chilib$(MODEL).lib: $(OBJS)
     del $.
     tlib $* @&&!
+$(**:.obj=+),
!

chilibw$(MODEL).lib: $(OBJS) chigcwin.obj
     del $.
     tlib $* @&&!
+$(**:.obj=+),
!

chilibb$(MODEL).lib: $(OBJS) chigcbgi.obj
     del $.
     tlib $* @&&!
+$(**:.obj=+),
!

include: $(SRCS:.cpp=.h) chisetup.h chigc.h chigcwin.h chigcbgi.h


