#ifndef CHISETUP_H
#define CHISETUP_H

/****************************************************************************
** COPYRIGHT (C):    1994 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          ChiLib
** FILE:             chisetup.h
** PURPOSE:          set up standard types and keywords
** VERSION           1.0
** PROGRAMMER:       Cay Horstmann (CSH)
** START DATE:       8-22-93 (CSH)
** UPDATE HISTORY:
****************************************************************************/

#line 12 "chisetup.cpp"

#define EXPORT

typedef int Bool;
#ifndef FALSE
#define FALSE 0
#endif
#ifndef TRUE
#define TRUE 1
#endif

#define self (*this)

template<class T> inline T chi_max(T a, T b) { return a > b ? a : b; }
template<class T> inline T chi_min(T a, T b) { return a < b ? a : b; }
template<class T> inline void chi_swap(T& a, T& b)
{  T temp = a; a = b; b = temp;
}

#ifndef M_PI
#define M_PI        3.14159265358979323846
#endif

#ifdef CHI_RENAME
#define Array Chi_Array
#define String Chi_String
#define Args Chi_Args
#define GraphicsContext Chi_GraphicsContext
#define Point Chi_Point
#define Rectangle Chi_Rectangle
#define FilledRect Chi_FilledRect
#define Polygon Chi_Polygon
#define Segment Chi_Segment
#define Text Chi_Text
#define ScalableText Chi_ScalableText
#define Shape Chi_Shape
#define Ellipse Chi_Ellipse
#define Map Chi_Map
#define Date Chi_Date
#define ASSERT_PRECOND(X) CHI_ASSERT_PRECOND(X)
#define Queue Chi_Queue
#define List Chi_List
#define Link Chi_Link
#define Stack Chi_Stack
#define PriorityQueue Chi_PriorityQueue
#define Bag Chi_Bag
#define MouseEvent Chi_MouseEvent
#endif


#endif
