#ifndef EMPLOYEE_H
#define EMPLOYEE_H

/****************************************************************************
** COPYRIGHT (C):    1994 Cay S. Horstmann. All Rights Reserved.
** PROJECT:          Mastering Object-Oriented Design
** FILE:             employee.h
** PURPOSE:          Employee and manager class
** VERSION           1.0
** LANGUAGE:         Borland C++ 3.0
** TARGET:           IBM PC
** PROGRAMMER:       Cay Horstmann (CSH)
** START DATE:       4-30-92 (CSH)
** UPDATE HISTORY:
****************************************************************************/

#line 16 "EMPLOYEE.cpp"

#include "chisetup.h"

#line 20 "EMPLOYEE.cpp"

#include <iostream.h>

#line 23 "EMPLOYEE.cpp"

#ifndef CHISTRNG_H
#include "chistrng.h"
#endif

#line 25 "EMPLOYEE.cpp"

#ifndef CHIDATE_H
#include "chidate.h"
#endif

#line 27 "EMPLOYEE.cpp"

#ifndef CHIARRAY_H
#include "chiarray.h"
#endif

#line 34 "EMPLOYEE.cpp"


class Employee
/* An employee in a company--used in many examples
*/
{
public:
   Employee();
   Employee(Chi_String);
   Employee(Chi_String, int id);
   Employee(Chi_String n, int hd, int hm, int hy);

   void set_id(int id);
   void set_salary(double s);
   void raise_salary(double p);
   int compare(Employee) const;
   virtual void print() const;
   virtual void print(ostream& os) const;
   int id() const;
   double hourly_wage() const;
   virtual double weekly_pay(double hours) const;

   virtual ~Employee() {}

private:
   Chi_String _name;
   double _wage;
   int _id;
   Chi_Date _hiredate;
};

/*-------------------------------------------------------------------------*/

class Manager : public Employee
/* PURPOSE:    A manager supervising employees
*/
{
public:
   Manager();
   Manager(Chi_String s);

   void add(Employee* e);
   virtual void print(ostream&) const;
   virtual double weekly_pay(double hours) const;
private:
   Chi_PtrArray<Employee> _superv; // ID numbers of supervised employees
};


#endif
